Product Logo

FTPit Pro

Transfer files to and from an FTP server


Install the plug-in

You have now downloaded the Client plug-in archive, unzipped it, and are ready to install the plug-in. The Windows plug-in does also require Microsoft’s .Net Framework and a C++ Redistributable Package that you may need to install if your computer does not already them.

Install the plug-in file

  1. Close FileMaker Pro if it is open.
  2. Locate and open the folder you unzipped in the “Download the plug-in” section.
  3. Find the FTPit_Pro_OSX.fmplugi plug-in file, and copy it. This is done by either right clicking on the file and selecting Copy, or by using the Edit menu and selecting the Copy option.
  4. Browse to the location on your hard drive where FileMaker is installed. By default, this is usually in the following location, but may vary:
    HD/Applications/FileMaker Pro X/

    *Where X is the version number of FileMaker
  5. Find and open the “Extensions” folder which is located next to the FileMaker Pro application.
  6. Paste the plug-in file. This is done by either right clicking in an empty space and selecting Paste, or by using the Edit menu and selecting the Paste option.
  7. Open FileMaker Pro.
Installation can also be done by simply dragging the plug-in file to the Extensions folder.

Microsoft’s .Net Framework v3.5.1

In order to use the Windows plug-in, you must have Microsoft’s .Net Framework version 3.5 service pack 1 (also known as 3.5.1) installed on your computer. If you do not have this already installed on your computer, you will need to install it. You may try opening FileMaker just to see if the plug-in appears in FileMaker Pro’s list of installed plug-ins. If the plug-in does not appear in the plug-in list, continue following these instructions. The chart below shows the default versions of .Net that are installed on the various versions of Windows.

Default Installed .Net Versions
Windows VersionDefault .Net Version
Windows XPDoes not include .Net by default
Windows Server 2003v1.1
Windows Server 2003 R2v2.0
Windows Vista, Windows Server 2008v3.0
Windows 7v3.5.1
Windows 8/8.1, Windows Server 2012v4.5
Windows 10v4.6

If you are unsure what versions of the .Net framework you have installed on your computer, Microsoft provides a webpage to help you determine which versions you have installed. You may also be able to go to the Control Panel in Windows, and then “Programs and Features” or “Add or Remove Programs” and see what versions you have installed. Note, this will only show versions you have installed and not the default version(s) that were included with Windows.

Install .Net 3.5.1

Windows Vista/Server 2008 or below - You can download it from Microsoft’s .Net Framework 3.5.1 page.

Windows 7 - The .NET Framework 3.5.1 is already installed by default.

Windows 8/8.1/10 - There is no download for the .NET Framework 3.5.1 as you can enable it in Window’s Control Panel. Follow the instructions provided on Microsoft’s website.

Windows Server 2012 - Please use the following instructions.

  1. Disable UAC
    Windows Server 2012: Deactivating UAC
  2. Reboot
  3. Install .NET 3.5.1. There are a couple ways to do this:
    Enable .NET Framework 3.5 by using the Add Roles and Features Wizard

    or

    Deploy .NET Framework 3.5 by using Deployment Image Servicing and Management (DISM)
  4. Re-enable UAC. Perform the instructions at the following link in reverse.
    Windows Server 2012: Deactivating UAC
  5. Reboot
Note
If you have a newer version than .NET 3.5.1, the plug-in will still not appear in FileMaker. Unfortunately, because of the way .NET works with plug-ins, you must still have 3.5.1 installed even if you have a newer version installed. We are sorry for the inconvenience.

Microsoft Visual C++ 2010 Redistributable Package

The Windows plug-in also requires a redistributable package to be installed on your computer in order to work properly. It is common other software installer packages will install the redistributable, but if you have a system that is fairly new or does not have much installed on it, you may need to install the redistributable package as well.

If you are using a 64-bit version of FileMaker Pro, you will need the 64-bit plug-in and the 64-bit C++ Redistributable Package. If you are using a 32-bit version of FileMaker Pro, you will need the 32-bit plug-in and the 32-bit C++ Redistributable Package.

Note, the plug-in requires the 2010 version of the redistributable package even if you have a newer package (e.g. 2012).

64bit
http://www.microsoft.com/en-us/download/details.aspx?id=14632
32bit
http://www.microsoft.com/download/en/details.aspx?id=5555